Bug 772586

Summary: volume statedump succeeds even if i give sub string of the available options and then crashes
Product: [Community] GlusterFS Reporter: Vijaykumar Koppad <vkoppad>
Component: glusterdAssignee: Kaushal <kaushal>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: unspecified    
Version: mainlineCC: bbandari, gluster-bugs
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: glusterfs-3.4.0 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-24 13:25:56 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 817967    

Description Vijaykumar Koppad 2012-01-09 05:36:31 EST
Description of problem:

gluster volume statedump vol m
Volume statedump sucessful
root@vostro:~# ps ax | grep gluster
21722 ?        Ssl    0:01 /usr/local/sbin/glusterd -p /var/run/glusterd.pid
22892 ?        Ssl    0:00 /usr/local/sbin/glusterfs --volfile-id=/vol --volfile-server=vostro /mnt/client
22985 ?        Ssl    0:00 /usr/local/sbin/glusterfs --volfile-id=/vol --volfile-server=vostro /mnt/geo1/
23063 ?        Ssl    0:00 /usr/local/sbin/glusterfs -f /etc/glusterd/nfs/nfs-server.vol -p /etc/glusterd/nfs/run/nfs.pid -l /usr/local/var/log/glusterfs/nfs.log
23069 ?        Ssl    0:00 /usr/local/sbin/glusterfs -s localhost --volfile-id gluster/glustershd -p /etc/glusterd/glustershd/run/glustershd.pid -l /usr/local/var/log/glusterfs/glustershd.log -S /tmp/dfd956423f59a5b14587ec43b898d949.socket
23116 pts/4    S+     0:00 grep --color=auto gluster
root@vostro:~# gluster volume info
 
Volume Name: vol
Type: Replicate
Status: Started
Number of Bricks: 1 x 2 = 2
Transport-type: tcp
Bricks:
Brick1: vostro:/home/vijay/bricks/doa/1
Brick2: vostro:/home/vijay/bricks/doa/2



How reproducible:always

This is the Back trace of the core.
###############################################

#0  0x00007f1ce70a7c6d in gf_proc_dump_parse_set_option (key=0x7f1ce533fca0 "m", value=0x7f1ce533fca2 "yes") at statedump.c:433
#1  0x00007f1ce70a7ebe in gf_proc_dump_options_init (dump_name=0x7f1ce533fdf0 "home-vijay-bricks-doa-2") at statedump.c:484
#2  0x00007f1ce70a8054 in gf_proc_dump_info (signum=10) at statedump.c:511
#3  0x0000000000407462 in glusterfs_sigwaiter (arg=0x7fffd09d3ae0) at glusterfsd.c:1342
#4  0x00007f1ce680bd8c in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007f1ce655704d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#6  0x0000000000000000 in ?? ()
(gdb) f 0 
#0  0x00007f1ce70a7c6d in gf_proc_dump_parse_set_option (key=0x7f1ce533fca0 "m", value=0x7f1ce533fca2 "yes") at statedump.c:433
433	        GF_PROC_DUMP_SET_OPTION (*opt_key, opt_value);
(gdb) f 1
#1  0x00007f1ce70a7ebe in gf_proc_dump_options_init (dump_name=0x7f1ce533fdf0 "home-vijay-bricks-doa-2") at statedump.c:484
484	                gf_proc_dump_parse_set_option (key, value);
(gdb) f 2
#2  0x00007f1ce70a8054 in gf_proc_dump_info (signum=10) at statedump.c:511
511	        ret = gf_proc_dump_options_init (brick_name);
(gdb) f 3
#3  0x0000000000407462 in glusterfs_sigwaiter (arg=0x7fffd09d3ae0) at glusterfsd.c:1342
1342	                        gf_proc_dump_info (sig);
Comment 1 Anand Avati 2012-02-17 03:57:08 EST
CHANGE: http://review.gluster.com/2706 (cli: Fix for statedump crashing gluster processes) merged in master by Vijay Bellur (vijay@gluster.com)